<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default: () => ({}),
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div :id="data.id || 'pricing-tiers'" class="pricing-tiers">
      <div class="text">
        <SlpTypography variant="heading2-bold">
          {{ data?.title }}
        </SlpTypography>
        <SlpButton
          variant="tertiary"
          data-ga-name="pricing learn more"
          data-ga-location="pricing tier blocks"
          href="/pricing/"
          class="hide-in-mobile"
          >{{ data?.subtitle || 'Learn more about pricing' }}
          <SlpIcon name="chevron-right" variant="product"
        /></SlpButton>
      </div>
      <div class="tiers-container">
        <div class="tiers">
          <div
            v-for="tier in data.cards"
            :key="tier.fields.title"
            class="tier"
            :class="{ ultimate: tier.fields.title === 'Ultimate' }"
          >
            <SlpTypography variant="heading3-bold">{{
              tier.fields.title
            }}</SlpTypography>
            <div class="benefits">
              <div
                v-for="benefit in tier.fields.list"
                :key="benefit"
                class="benefit"
              >
                <SlpIcon
                  name="check"
                  class="slp-mr-8"
                  variant="product"
                  alt="Check icon"
                  size="sm"
                />
                <SlpTypography class="slp-pl-16" tag="div" variant="body1">
                  {{ benefit }}
                </SlpTypography>
              </div>
            </div>
            <SlpButton
              :data-ga-name="tier.fields.button.fields.text"
              data-ga-location="pricing tier blocks"
              :href="tier.fields.button.fields.externalUrl"
              >{{ tier.fields.button.fields.text }}</SlpButton
            >
            <SlpButton
              class="benefit__card"
              variant="tertiary"
              :data-ga-name="tier.fields.secondaryButton.fields.text"
              data-ga-location="pricing tier blocks"
              :href="
                tier.learnMoreUrl ||
                tier.fields.secondaryButton.fields.externalUrl
              "
              >{{ tier.fields.secondaryButton.fields.text }}
              <SlpIcon name="chevron-right" variant="product"
            /></SlpButton>
          </div>
        </div>
        <SlpTypography variant="body2" tag="div" class="footnote"
          ><div v-html="$md.render(data?.description ?? '')"></div
        ></SlpTypography>
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.pricing-tiers {
  margin: $spacing-64 0;
  flex-direction: column;
  gap: $spacing-32;
  @media (min-width: $breakpoint-lg) {
    flex-direction: row;
  }
  .text {
    display: flex;
    flex-direction: column;
    margin-bottom: $spacing-24;
  }
  .tiers-container {
    display: flex;
    flex-direction: column;
    gap: $spacing-16;
    .tiers {
      display: flex;
      flex-direction: column;
      gap: $spacing-32;
      @media (min-width: $breakpoint-lg) {
        flex-direction: row;
      }
      .tier {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: $spacing-32;
        gap: $spacing-16;
        background: #eee7fd;
        border-radius: 8px;
        .benefits {
          flex: 1;
          display: flex;
          flex-direction: column;
          gap: $spacing-16;
          margin-bottom: $spacing-32;
        }
        .benefit {
          display: flex;
          align-items: center;

          &__card {
            text-align: left;
            display: inline-block;

            .slp-icon {
              display: inline-flex;
              align-items: center;
              position: relative;
              top: 3px;
            }

            @media (min-width: 1170px) {
              align-content: flex-start;
              flex-wrap: wrap;
              padding-right: 0;
            }
          }
        }
        button {
          text-align: left;
          @media (min-width: $breakpoint-lg) {
            white-space: nowrap;
          }
        }
        &.ultimate {
          background: url('/nuxt-images/backgrounds/ultimate_tier_gradient.png');
          background-size: cover;
          border: 1px solid #eee7fd;
          border-radius: 4px 4px 100px 4px;
        }
      }
    }
  }
}
.hide-in-mobile {
  display: none;
  @media (min-width: $breakpoint-lg) {
    display: flex;
  }
}
.mobile-only {
  display: none;
  @media (max-width: $breakpoint-lg) {
    display: flex;
  }
}
</style>
